Bug 507364 - %pre(rpcbind-0.1.7-3.fc12.i586) scriptlet failed when upgrading F-11 -> Rawhide
%pre(rpcbind-0.1.7-3.fc12.i586) scriptlet failed when upgrading F-11 -> Rawhide
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-22 10:20 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-05 01:49:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-06-22 10:20:31 EDT
Description of problem:

Error in PREIN scriptlet in rpm package rpcbind-0.1.7-3.fc12.i586
error: %pre(rpcbind-0.1.7-3.fc12.i586) scriptlet failed, exit status 9
error:   install: %pre scriptlet failed (2), skipping rpcbind-0.1.7-3.fc12

Actual results:


Expected results:

No error msg
Comment 1 Jarod Wilson 2009-06-24 17:28:42 EDT
More details:

$ sudo rpm -Uvh rpcbind-0.1.7-3.fc12.x86_64.rpm 
Preparing...                ########################################### [100%]
error: %pre(rpcbind-0.1.7-3.fc12.x86_64) scriptlet failed, exit status 9
error:   install: %pre scriptlet failed (2), skipping rpcbind-0.1.7-3.fc12

$ rpm -qp --scripts rpcbind-0.1.7-3.fc12.x86_64.rpm 
preinstall scriptlet (using /bin/sh):
# if the rpc uid and gid is left over from the portmapper
# remove both of them.
/usr/sbin/userdel  rpc 2> /dev/null || :
/usr/sbin/groupdel rpc 2> /dev/null || : 

# Now re-add the rpc uid/gid
/usr/sbin/groupadd -o -g 32 rpc > /dev/null 2>&1
/usr/sbin/useradd -o -l -c "Rpcbind Daemon" -d /var/lib/rpcbind -g 32 \
    -M -s /sbin/nologin -u 32 rpc > /dev/null 2>&1

$ sudo userdel rpc
userdel: user rpc is currently logged in

$ ps aux |grep rpc
rpc       1685  0.0  0.0  18788   888 ?        Ss   16:43   0:00 rpcbind

So the user isn't actually logged in, but there's a process running as that user, so we can't remove the user.
Comment 2 Steve Dickson 2009-06-25 10:00:46 EDT
Fixed in rpcbind-0.2.0-2.fc12
Comment 3 Bug Zapper 2009-11-16 05:18:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 4 Bug Zapper 2010-11-04 07:02:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2010-12-05 01:49:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.